> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all data providers

> The endpoint returns a list of data providers filtered by the query parameter `product_type`.



## OpenAPI

````yaml GET /v1/providers/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/providers/:
    parameters: []
    get:
      tags:
        - Companies and Data Providers
      summary: List all data providers
      description: >-
        The endpoint returns a list of data providers filtered by the query
        parameter `product_type`.
      operationId: providers-list
      parameters:
        - name: data_source
          in: query
          description: Data source.
          schema:
            type: string
            example: payroll
            enum:
              - payroll
              - docs
              - insurance
              - financial_accounts
              - tax
              - scoring_attributes
        - name: product_type
          in: query
          description: Product type.
          required: true
          schema:
            type: string
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
            default: income
        - name: query
          in: query
          description: Search query by a name.
          required: false
          schema:
            type: string
        - name: ordering
          in: query
          description: >-
            Which field to use when ordering the results. The default is by
            ascending `id`.
          required: false
          schema:
            type: string
            example: id
            enum:
              - id
              - '-id'
              - name
              - '-name'
              - rank
              - '-rank'
        - name: page
          in: query
          description: A page number within the paginated result set.
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Provider'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Provider:
      required:
        - id
        - name
      type: object
      properties:
        id:
          description: ID of provider
          type: string
          example: adp
        name:
          description: Data provider name
          type: string
          example: ADP
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - payroll
            - docs
            - insurance
            - financial_accounts
            - tax
            - scoring_attributes
          example: payroll
        logo_url:
          description: Data provider logo URL
          type: string
          format: uri
          example: https://cdn.truv.com/providers/adp.svg
        is_disabled:
          description: >-
            True if product type for the query parameter `product_type` not
            implemented for the provider yet. If `product_type` query parameter
            is omitted the field will be null.
          type: boolean
          example: false
        success_rate:
          description: Success rate for the provider
          type: string
          enum:
            - low
            - high
            - unsupported
            - null
          example: high
          nullable: true
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````